#![no_std]
#![no_main]

use user_lib::*;

use core::ptr::{null_mut, read_volatile};

#[no_mangle]
fn main() -> i32 {
    println!("\nload_fault APP running...\n");
    // 在Test load_fault中，我们将插入一个无效的加载操作
    println!("Into Test load_fault, we will insert an invalid load operation...");
    // 内核应该终止这个应用程序!
    println!("Kernel should kill this application!");
    unsafe {
        let _i = read_volatile(null_mut::<u8>());
    }
    0
}